<template>
  <v-footer
    height="auto"
    padless
    tile
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        id="menu"
        justify="center"
        class="primary"
      >
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="px-12"
          align-self="center"
        >
          <div class="pa-5">
            <v-img :src="$t('urlLogo')" />
          </div>
        </v-col>
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                {{ $t("links.label.helpInfos") }}
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.relayPoint')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.relayPoint") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.terms')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.terms") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.dataPolicy')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.dataPolicy") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.faq')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.faq") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row justify="left">
            <v-col cols="12">
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                <a
                  :href="$t('links.route.feedback')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.feedback") }}</a>
              </v-card-text>
              <v-row
                dense
                class="mt-6"
              >
                <v-col cols="5">
                  <a :href="$t('links.pictos.android.url')">
                    <v-img :src="$t('links.pictos.android.logo')" />
                  </a>
                </v-col>

                <v-col cols="5">
                  <a :href="$t('links.pictos.ios.url')">
                    <v-img :src="$t('links.pictos.ios.logo')" />
                  </a>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </v-col>
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 font-weight-bold">
                {{ $t("links.label.moreInfos") }}
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.carpoolIncentive')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t('links.label.carpoolIncentive') }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.taxesInsurances')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.taxesInsurances") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.lom')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.lom") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.goodPractices')"
                  style="text-decoration:none;"
                  class="white--text"
                >{{ $t("links.label.goodPractices") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  style="text-decoration:none;"
                  class="white--text"
                  @click="showCookiesAction()"
                >{{ $t("tools.cookies.title") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-row>
                <v-col cols="2">
                  <a :href="$t('links.pictos.facebook.url')">
                    <v-img
                      :src="$t('links.pictos.facebook.logo')"
                      width="11"
                      height="20"
                    />
                  </a>
                </v-col>
                <v-col cols="2">
                  <a :href="$t('links.pictos.twitter.url')">
                    <v-img
                      :src="$t('links.pictos.twitter.logo')"
                      width="24"
                      height="20"
                    />
                  </a>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
      <v-row
        justify="center"
        class="py-5 white"
      >
        <v-col
          cols="12"
          class="white"
        >
          <m-gallery
            :path="logosPath"
            :items="logos"
            :max-height="60"
          />
        </v-col>
      </v-row>
      <v-row>
        <v-col
          cols="12"
          class="white text-center info--text py-5 mb-0"
        >
          {{ $t('licenseFirst') }} <a :href="$t('mobicoop')">Mobicoop</a> {{ $t('licenseSecond') }}
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {
  messages_en,
  messages_fr,
  messages_eu
} from "@translations/components/base/MFooter/";
import {
  messages_client_en,
  messages_client_fr,
  messages_client_eu
} from "@clientTranslations/components/base/MFooter/";
import MGallery from "@components/utilities/MGallery";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      en: MessagesMergedEn,
      eu: MessagesMergedEu,
      fr: MessagesMergedFr
    }
  },
  components: {
    MGallery,
    Cookies
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },
    logos: {
      type: Object,
      default: null
    },
    appName: {
      type: String,
      default: null
    },
    cookiesShowAuto: {
      type: Boolean,
      default: true
    },
    socialNetworksActive: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      showCookies: false
    };
  },
  methods: {
    showCookiesAction() {
      this.showCookies = true;
    },
    dialogCookiesClosed() {
      this.showCookies = false;
    }
  }
};
</script>